#!/bin/bash
declare -r LOG_FILE=/var/log/insight/install/install.log
function main()
{
    # process the input params
    if [[ $* == *\;* || $* == *\|* || $* == *\&* || $* == *\$*  || $* == *\"*  || $* == *\'* || $* == *\>* || $* == *\<* || $* == *\`*  ]];then
        echo "Invalid parameter, please check." >> ${LOG_FILE}
        exit 1
    fi
    drivername=$1
    mv /home/ossadm/$drivername /opt/entTools/script/shscript/entTools/install_mellanox
    chown root:root /opt/entTools/script/shscript/entTools/install_mellanox/$drivername
}
main $*
exit $?